#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    vector<int> ans;
    long long sum=0;
    int mn=INT_MAX;
    for(int i=0;i<A.size();i++)
    {
        sum+=A[i];
    }
    sum=sum/2;
    for(int mask=0;mask<(1<<A.size());mask++)
    {
        int cnt1=0,cnt0=0;
        long long sum1=0;
        vector<int> v;
        bool ok=1;
        for(int i=0;i<A.size();i++)
        {
            if(mask & (1<<i))
            {
                if(sum1>=sum)
                {
                    ok=0;
                    break;
                }
                cnt1++;
                sum1+=A[i];
                v.push_back(i);
            }
            else cnt0++;
        }
        if(ok && sum1>=sum)
        {
            if(mn>abs(cnt1-cnt0))
            {
                //cout<<mn<<' ';
                //if(mask==201) cout<<"test";
                mn=abs(cnt1-cnt0);
                //if(mn==1) cout<<mask;
                //if(mask==201) cout<<mn<<' ';
                for(int i=0;i<A.size();i++)
                {
                    if((mask & (1<<i))==0)
                    {
                        v.push_back(i);
                    }
                }
                ans=v;
                /*
                if(mask==201)
                {
                    for(int i=0;i<ans.size();i++)
                    {
                        cout<<ans[i]<<' ';
                    }
                }
                */
            }
        }
    }
    //cout<<'\n';
    return ans;
}
